2016-03-30  warnes

	* [r2122] R/plot.lowess.R: plotLowess() wasn't finding objects in
	  the caller's environment.

2016-03-28  warnes

	* [r2121] DESCRIPTION, inst/NEWS: Update gplots version to 3.0.0.
	* [r2120] man/heatmap.2.Rd: The 'layout' element of the list
	  returned from heatmap.2 is a named list, not a named vector.
	* [r2119] man/gplots-deprecated.Rd: Used wrong comment character.
	* [r2118] man/gplots-deprecated.Rd: Comment out arguments section
	  to avoid R CMD check warning.

2016-03-25  warnes

	* [r2112] man/heatmap.2.Rd: Update URL for RColorBrewer
	* [r2111] DESCRIPTION: Fix typos and quote uncommon words to make R
	  CMD check happy
	* [r2110] DESCRIPTION, inst/ChangeLog, inst/NEWS: Update files for
	  gplots 2.18.0
	* [r2109] NAMESPACE: Add imports recommended by R CMD check on
	  WinBuilder
	* [r2108] man/heatmap.2.Rd: Add trailing slash to make R CMD
	  check's URL testing happy.
	* [r2107] tests/heatmap2Test.Rout.save: Update test output to match
	  corrected messages
	* [r2106] R/plot.venn.R: Warning message didn't have spaces between
	  words. Minor code reformatting.
	* [r2105] R/lowess.R: Remove obsolete function to add '...' to
	  argument list for stats::lowess().
	* [r2104] man/lowess.Rd, man/venn.Rd: Fix errors identified by R
	  CMD check
	* [r2103] R/heatmap.2.R: Fix error when Rowv=FALSE or Colv=FALSE
	* [r2102] man/gplots-defunct.Rd, man/gplots-deprecated.Rd: Fix
	  documenation issues identified by 'R CMD check'
	* [r2101] man/venn.Rd: Correct discrepencies in man page
	* [r2100] man/venn.Rd: Correct discrepencies in man page
	* [r2099] man/lowess.Rd: Correct differences between calls on man
	  page and in code
	* [r2098] R/lmplot2.R: Fix name of replacement functon in defuct
	  message generated by plot.lm2
	* [r2097] man/lowess.Rd: Improve lowess() man page
	* [r2096] NAMESPACE: Add plotLowess() and plot.lowess() to the
	  NAMESPACE
	* [r2095] R/plot.lowess.R: Ensure lowess plot methods (invisibly)
	  return the lowess object.
	* [r2094] man/lowess.Rd: Update man page for lowess to reflect new
	  lowess method for plot().
	* [r2093] R/plot.lowess.R: Ensure extra arguments are properly
	  passed to the plot call.
	* [r2092] R/heatmap.2.R: Corrected a bug causing "Error in
	  plot.new() : figure margins too large" to occur when 'key=FALSE'.
	  (Reported and patch provided by Sveinung Gundersen.)

2016-03-24  warnes

	* [r2091] R/lowess.R, R/plot.lowess.R: Rename plot.lowess to
	  plotLowess to avoid confusions with plot() method for class
	  'lowess', create a plot() method for class 'lowess' and modify
	  the lowess.default() and lowess.formula() to add the 'lowess'
	  class to the returned object, along with a 'call' list element.
	* [r2090] R/venn.R, R/vennMembers.R, man/venn.Rd: The
	  'intersections' attribute returned from venn() has been improved
	  to use set names instead of indicators, and is ordered from
	  simplest to most complex set interactions.
	* [r2089] R/smartlegend.R, man/gplots-defunct.Rd,
	  man/gplots-deprecated.Rd: The smartlegend() function has been
	  made defunct and is no longer available.
	* [r2088] R/lmplot2.R: Indentation changes
	* [r2087] man/heatmap.2.Rd: Update heatmap.2() man page to reflect
	  addition of to the returned object.
	* [r2086] R/lowess.R: Remove observations with missing values when
	  lowess is called using the formula interface.
	* [r2085] R/heatmap.2.R: Add layout infromation to object returned
	  from heatmap.2() (patch provided by Jenny Drnevich).
	* [r2084] DESCRIPTION: Correct spelling

2016-03-08  warnes

	* [r2083] R/plot.lowess.R: Add function to plot points and lowess
	  using formula interface.
	* [r2082] R/lowess.R: Remove old code for S-Plus and modernize
	  formula handling code.
	* [r2081] R/heatmap.2.R: Set srtCol default if missing and colCol
	  is set

2016-02-26  warnes

	* [r2080] R/venn.R: venn() now support matrix arguments.
	* [r2079] R/angleAxis.R, man/angleAxis.Rd: New angleAxis() function
	  to create axis labels with rotated text.
	* [r2078] R/heatmap.2.R: - heatmap.2() can now be used to plot
	  subsets of a previous heatmap.
	  - Remove stray 'browser()' debuggint statement from heatmap.2()
	  code.
	  - Decrease the granularity of the carpet in heatmap.2()'s color
	  key to
	  avoid visual artifacts.

2015-11-23  warnes

	* [r2070] R/heatmap.2.R: Remove debugging print() statement.

2015-07-22  warnes

	* [r2062] DESCRIPTION, R/heatmap.2.R, R/layout_set.R: Renamed
	  'test' directory to 'tests', commented out tests for lme4 which
	  has a changed API

2015-06-02  warnes

	* [r2052] R/boxplot2.R: Defunct message for boxplot.n was
	  recommending the wrong function

2015-05-02  warnes

	* [r2018] Rename 'trunk' to 'pkg' for compatibility with R-forge

2015-05-01  warnes

	* [r2014] Again...
	* [r2013] Update ChangeLog (again)
	* [r2012] Summary: Correct man page name
	* [r2011] Summary: Forgot to add \alias for smartlegend.
	* [r2010] Remove leftover alias
	* [r2009] Commit ChangeLog
	* [r2008] Update NEWS again.
	* [r2007] Mark boxplot.n and() plot.lm2() as defunct.
	* [r2006] Make ballonplot.n() and plot.lm2() 'defunct'.
	* [r2005] Update NEWS and ChangeLog again.
	* [r2004] Summary: Punctuation.
	* [r2003] Correct URLs in man pages.
	* [r2002] Correct URLs in man pages.
	* [r2001] Update NEWS again.
	* [r2000] Improve package description.
	* [r1999] Mark 'smartlegend' as deprecated
	* [r1998] Summary: Mark smartlegend() as deprecated.
	* [r1997] Summary: venn example used 'F' instead of 'FALSE'.
	* [r1996] Update DESCRIPTION, NEWS, and ChangeLog again for gplots
	  2.17.0.
	* [r1995] - heatmap.2: row traces could be plotted in the wrong
	  order.
	* [r1994] - heatmap.2: column traces could be plotted in the wrong
	  order.
	  - heatmap.2: add support for plotting sub-clusters of the full
	  row and
	  column dendrograms

2015-04-23  warnes

	* [r1955] Update NEWS and ChangeLog
	* [r1954] In heatmap.2(), the color key now properly handles color
	  breaks that
	  are not equally spaced. (Issue reported by Tim Richter-Heitmann.)
	* [r1948] - plotCI() was not properly respecting the 'type='
	  argument. This has
	  been corrected.
	* [r1947] - Remove stray browser() call from overplot()
	* [r1943] Explicitly specify argument to gplots:::reorder.factor to
	  prevent error.
	* [r1942] - The returned object from venn() now includes a
	  'interesection'
	  attribution containing a list of which items are in each set
	  intersection. This can be turned off by settting
	  'intersection=FALSE'.
	* [r1941] Patch submitted by Ilia Kats:
	  - easily extract and plot subclusters from a big heatmap using
	  the
	  same colorkey, by passing a dendgrogram of the subcluster
	  together
	  with the full data matrix and, optionally, the breaks of the full
	  heatmap in order to obtain the same color scaling. This is useful
	  if
	  one wants to plot several subclusters as different panels in a
	  paper, but maintain consistent color coding.
	  - Improves the behavior of the color key axis labels, as they now
	  honor par("cex") and par("cex.lab").
	* [r1940] In heatmap.2() split calls to distfun() and hclustfun()
	  into separate steps to make debugging easier

2015-04-22  warnes

	* [r1931] Update DESCRIPTION, ChangeLog, and NEWS for gplots 2.17.0
	* [r1930] heatmap.2: add new 'colRow' and 'colCol' arguments to
	  control the color of row and column text labels

2015-04-06  warnes

	* [r1916] Add ChangeLog files to repository

2015-01-02  warnes

	* [r1913] Update for gplots release 2.16.0.
	* [r1912] Change default group count lable back to 'n='.
	* [r1911] - plotmeans: Pass optional graphical arguments captured
	  in '...' axis function
	  used to draw the x axis.
	  - plotmeans: Add an new argument 'text.n.label' to specify the
	  text
	  used for labelingthe number of elements in a group.
	* [r1910] - Remove S-Plus-specific code
	  - Simplify model frame code

2014-12-03  warnes

	* [r1909] Update stored test output to account for new startup
	  message from KernSmooth package
	* [r1908] Fix package title capitalization.

2014-12-02  warnes

	* [r1907] Add descrioption of node stack overflow issue and
	  work-around.
	* [r1906] Move '...' argument to bandplot.formula to match man
	  page.
	* [r1905] plot.dendrogram isn't exported by gplots, so it must be
	  referenced using the ':::' notation.
	* [r1904] Man page fixes.
	* [r1903] Add exports of new bandplot methods to NAMESPACE file.
	* [r1902] Code cleanup.
	* [r1901] Simplify model.frame code for bandplot.formula.

2014-12-01  warnes

	* [r1900] Update for 2.15.0
	* [r1899] Convert bandplot to S3-method dispatch and add method for
	  class formula.
	* [r1898] Improve whitespace

2014-09-17  warnes

	* [r1895] Minor reformatting.
	* [r1894] Explicitly reset namespace for dendrogram functions
	  copied from stats.
	* [r1893] Update DESCRIPTION and NEWS for gplots 2.14.2
	* [r1892] To work around recursion limit issues triggered by deeply
	  nested
	  dendrograms, (1) create a local *intepreted* copy of
	  stats:::plotNode(), (2) detect recursion limit error message
	  within
	  heatmap.2() and generate a more user-friendly message.
	* [r1891] Add test case for exceeding recursion limits when
	  plotting deeply nested dendrograms
	* [r1890] heatmap.2 was not properly handling integer vectors for
	  Rowv and Colv.
	* [r1889] key.title=NA was not being honored when density.info=NA.

2014-09-16  warnes

	* [r1888] Add plotNode code to allow modificaiton of algorithm from
	  recursive to iterative for the purpose of avoiding node stack
	  overflow.
	* [r1887] - Correct statement of default color for 'notecol'
	  argumemt to 'heatmap.2'.
	  - Modify default arguments to 'symbreaks' and 'symkey' to make
	  the
	  logic more evident by replacing min() with any(). (The previous
	  code executed properly, but relied on implicit coercion of
	  logicals
	  to numeric, obscuring the intent.)

2014-06-30  warnes

	* [r1823] Fix typo in dendrogram size checking code.

2014-06-19  warnes

	* [r1822] Fix typo 'ColInd' --> 'colInd'.
	* [r1821] Update for gplots 2.14.0

2014-06-17  warnes

	* [r1820] - Document new 'key.title', 'key.xlab', 'key.ylab',
	  'key.xtickfun',
	  'key.ytickfun', 'key.par' arguments to heatmap.2 (belated
	  commit).
	  - Document new 'reorderfun' argument to heatmap.2.
	* [r1819] Allow user to specify function used to reorder based on
	  the dendogram
	  via a new 'reorderfun' argument. Suggested by Yuanhua Liu.
	* [r1818] Fix typo in heatmap.2() reported by Yuanhua Liu.

2014-06-05  warnes

	* [r1817] Check size of Rowv and Colv dendogram objects to ensure
	  they matches data.

2014-04-17  warnes

	* [r1812] Add see also to r2d2::freq2d.
	* [r1811] Add reference to r2d2::conf2d.

2014-04-09  warnes

	* [r1802] Add padj=0.5 to better align margin labels.

2014-04-05  warnes

	* [r1781] Update NEWS
	* [r1780] Add 'extrafun' argument to heatmap.2 to allow the user to
	  perform
	  additional customization by providing a function to be called
	  before
	  heatmap.2 exits.

2014-04-04  warnes

	* [r1779] Update for gplots 2.13.0
	* [r1778] Fix handling of row trace (hline). Bug report and patch
	  provided by Ilia Kats.

2013-10-21  warnes

	* [r1744] Handle 'ask' argument in lmplot2 function proper, rather
	  than in (depreciated) plot.lm2 wrapper.
	* [r1743] Correct release number
	* [r1742] Handle 'ask' argument in lmplot2 function proper, rather
	  than in (depreciated) plot.lm2 wrapper.
	* [r1741] Fix typo

2013-10-15  warnes

	* [r1740] Add boxplot2 and lmplot2 to NAMESPACE
	* [r1739] Update for gplots release 2.12.1
	* [r1738] Rename boxplot.n to boxplt2 and plot.lm2 to lmplot2
	* [r1737] Make lmplot2 manual page from plot.lm.2 manual page.
	* [r1736] Make boxplot2 manual page from boxplot.n manual page.
	* [r1735] Create deprecated man page from boxplot.n man page

2013-10-12  warnes

	* [r1734] Update NEWS with latest changes
	* [r1733] Mark one example dontrun to avoid --as-cran warning.

2013-10-11  warnes

	* [r1732] Allow standard S3 method handling to locate the correct
	  function.
	* [r1731] Fix error when a subgroup contains no finite values
	* [r1730] Update test output
	* [r1729] Move several packages from Depends to Imports, Suggests
	* [r1728] Use gdata::nobs in example
	* [r1727] caTools and KernSmooth now have namespaces, so import
	  from them.
	* [r1726] Update files for gplots 2.12.0
	* [r1725] Update files for gplots 2.12.0
	* [r1724] Add parameters to control row and column label
	  positioning, rotation, justification, and offset.
	* [r1723] Fix bug in getVennCounts.data.frame when number of TRUE
	  cases in each variable are equal.

2013-06-28  warnes

	* [r1680] Update PDF file, including new email addresses

2013-06-27  warnes

	* [r1679] Update for gplots 2.11.3
	* [r1678] Update for release 2.11.3
	* [r1677] Update with tests for only 1 row/column separator
	* [r1676] Fix typo
	* [r1675] Add test for one row/column separator
	* [r1674] Add more in-line comments
	* [r1673] Modify sinkplot to use a local environement to store its
	  information instead of the global environment.

2013-03-24  warnes

	* [r1647] Update news for release 2.11.2
	* [r1646] Add ci.width argument to barplot2() to allow varying the
	  length of the 't' at the end of confidence interval bars.
	* [r1642] Update for release 2.11.2
	* [r1641] Update manual page for lowess.default() to match changed
	  argument list for lowess() in R 3.0.0

2012-12-14  warnes

	* [r1631] Fix typo: warn() instead of warning().
	* [r1630] Fix syntax of VignetteIndexEntry in venn.Rnw.
	* [r1629] Add generated vignette pdf.
	* [r1628] Add required VignetteIndexEntry metadata to venn vignette
	  code.
	* [r1627] Update DESCRIPTION and NEWS for release 2.11.1.
	* [r1626] Improve venn() to work with PDF and Sweave/pdflatex.
	  Provide a vignette for venn().
	* [r1625] Fix error in processing the colsep argument to heatmap.2.
	* [r1624] Clarify that plotmeans is intended for a *continuous*
	  outcome based on
	  a *factor* grouping level.
	* [r1623] Replace corrupted BalloonPlot.pdf file and remove svn
	  properties that were causing it to be corrupted.

2012-06-08  warnes

	* [r1558] Update NEWS for 2.11.0 release.
	* [r1557] Fix R CMD check warnings.
	* [r1556] Move incorrectly placed closing brace.

2012-06-07  warnes

	* [r1555] Object returned by hist2d() has been changed:
	  - $x and $y now contain the n midpoints of the bins in each
	  direction
	  - $x.breaks, $y.breaks now contain the n+1 limits of the bins in
	  each direction
	  The function print.hist2d() has been updated appropriately.
	* [r1554] Correct error in handling binning: (N+1)x(N+1) bins were
	  being created
	  instead of NxN bins, and the highest row/column in each direction
	  was
	  being omitted from the results and plot.
	* [r1553] Add default value for lwd argument to plotmeans()

2012-05-31  warnes

	* [r1533] Properly mark up S3 method.

2011-12-09  warnes

	* [r1519] Add 'lwd' (linewidth) to arguments handled by plotmeans.

2011-09-02  warnes

	* [r1505] Update NEWS for release 2.10.1.
	* [r1504] Increment version counter.
	* [r1503] Add necessary alias statment to man files for for
	  'hist2d' and 'ci2d'
	  print methods.
	* [r1502] Fix naming error
	* [r1501] Provide print() methods for 'hist2d' and 'ci2d' objects.
	* [r1498] Correct dependence on R >= 2.10

2011-09-01  warnes

	* [r1491] - Correct issues in ci2d() man page.
	* [r1490] - Comment out import from KernSmooth in NAMESPACES, since
	  KernSmooth
	  doesn't provide a namespace.
	  - Update a test output.
	* [r1489] - Update NEWS file and correct version number
	* [r1488] - Depend on KernSmooth package. Increment version number.
	* [r1487] - Depend on KernSmooth package and import 'bkdeD2' and
	  'dpik'.
	* [r1486] Improvements to ci2d():
	  
	  - Add option to utilize KernDensity::bkde2D to estimate the 2-d
	  density (now the default).
	  
	  - Add option to display points for original data on generated
	  plots
	  
	  - Name elements of returned contour list according to the
	  significance
	  level to make it easier to select desired contours.
	  
	  - Improve handling of x and y labels
	* [r1485] Remove log tag and comments from top of the file.

2011-08-26  warnes

	* [r1478] Update NEWS for 2.10.0 release
	* [r1477] Add dependency on R>= 2.10 to handle compressed Rda data
	  file.
	* [r1476] Compress rtPCR example data set to make distributed
	  package smaller.
	* [r1475] Remove '1.0' confidence line from
	  ci2d(..,show="contour").

2011-08-25  warnes

	* [r1474] - Add 'ci2d()' to compute 2-dimensional emipirical
	  confidence interval.
	  - Fix parse error in help page for 'rich.colors()'.

2011-08-16  warnes

	* [r1473] Update DESCRIPTION file for 2.8.1.
	* [r1472] Add 'alpha' argument to rich.colors() to control
	  transparency.
	* [r1471] Accellerate hist2d by replacing for() loop with tapply(),
	  and allow user to specify summary function applied, per
	  suggestion by Peter Hagedorn (PHA -at- santaris -dot- com).

2011-05-02  arnima

	* [r1470] Added argument 'alpha' and removed argument 'rgb' in
	  rich.colors()

2010-12-13  warnes

	* [r1463] Correct error that arises when data includes NA values,
	  identified by Melissa Key

2010-06-11  warnes

	* [r1446] Fix errors detected by R CMD check
	* [r1445] Fix errors detected by R CMD check
	* [r1444] Use 'TRUE' instead of 'T' for true in venn man page
	* [r1443] Update for gplots 2.8.0
	* [r1442] Moved baseOf() into a separate file
	* [r1441] Update Greg's email address
	* [r1440] - venn() now returns an object of class venn() and a plot
	  method for
	  this class is provided.
	  
	  - Manual page for venn has been improved, based on contributions
	  by
	  Steffen Moeller

2010-02-17  warnes

	* [r1420] Improve performance of hist2d thanks to suggestion by
	  Joerg van den Hoff.

2010-01-22  arnima

	* [r1372] Renamed files rich.color.* to rich.colors.* and renamed
	  rich.colors args

2009-11-16  arnima

	* [r1367] Minor reformatting only.

2009-11-12  warnes

	* [r1365] Correct bug reported by Alan Yong: plotmeans() crashed
	  when 'bars=FALSE'.

2009-10-22  warnes

	* [r1364] Fixed typo in bug fix.
	* [r1363] Update NEWS and DESCRIPTION for gplots 2.7.3
	* [r1362] Fix transposed display of data (but not labels) in
	  heatmap.2 when symm=TRUE

2009-10-12  warnes

	* [r1361] Update version number to 2.7.2, 2.7.1 was already up but
	  apparently DESCRIPTION wasn't commited with change.

2009-10-10  warnes

	* [r1360] Various minor changes to remove new R CMD CHECK warnings.
	* [r1359] Update DESCRIPTION and NEWS file for 2.7.1
	* [r1358] Fix bug reported by Ken Lo: col2hex had blue and green
	  components swapped.

2009-05-08  warnes

	* [r1324] Add test of using a dendrogram created by heatmap() with
	  heatmap.2()
	* [r1323] heatmap.2: handle NA for RowV or ColV the same way as
	  NULL
	* [r1322] Fix typo
	* [r1321] Update NEWS for release 2.7.0
	* [r1320] We don't want the Changelog in svn, since it is
	  autogenerated from svn logs!
	* [r1319] Update Greg's email address to
	  'greg@random-technologies-llc.com'
	* [r1318] plotCI now properly handles 'NULL' and 'NA' values for
	  ui, li, uiw, and liw.
	* [r1317] heatmap.2: Add option to create breakpoints symmetric
	  around 0, provide additional information in the return value
	* [r1316] Fix Rd syntax error

2009-04-22  warnes

	* [r1315] VADeaths data set has move to dataset package

2008-08-14  warnes

	* [r1302] balloonpot() was incorrectly displaying warning about z
	  values below 0 when scale.method="relative". Fixed.

2008-08-07  warnes

	* [r1301] Update DESCRIPTION NAMESPACE and NEWS for 2.7.0 release

2008-06-16  warnes

	* [r1296] Add TODO list to gplots

2008-05-20  warnes

	* [r1274] Update man page to match recent changes to plot.lm2()
	* [r1273] More work on documentation for venn()
	* [r1272] Fix code/doc mismatch due to recent changes to bandplot()
	* [r1271] Add Venn Diagram plot submitted by Steffen Moeller

2008-05-07  warnes

	* [r1264] Improve performance of bandplot by calculating running
	  standard deviation using caTools::runsd() instead of (ver slow)
	  window() call. In addtion, the standard deviations are now only
	  calculated once, rather than once for each band.
	* [r1263] Improve performance of plot.lm for large lm objects by
	  using fitted() instead of predict() to get y-hat

2008-05-05  warnes

	* [r1262] Use caTools's runsd in bandplot for a dramatic speedup
	  for large data
	* [r1261] Add import of gtools::reorder.factor for ballonplot man
	  page
	* [r1260] balloonplot: Add option to scale balloons so
	  [min,max]->[0,1] (relative) or so [0,max] <- [0,1] (absolute)

2008-04-07  warnes

	* [r1254] Fix typo in barplot2() man page
	* [r1253] Updates for gplots 2.6.0
	* [r1252] Add ability to control location of individual heatmap.2
	  components

2008-03-27  warnes

	* [r1251] Fix bug in handling rowsep, per suggestion by Steven
	  Paugh

2008-01-04  warnes

	* [r1238] Fix examples for overplot()

2008-01-02  warnes

	* [r1237] Update Marc's email address

2007-12-20  warnes

	* [r1235] Two letter clarification of help text for heatmap.2()
	* [r1234] Restore plot layout at end of ooplot() example

2007-11-06  warnes

	* [r1222] Remove extraneous closing brace in the hist2d
	  documentation file

2007-11-05  warnes

	* [r1221] Fix typo in NEWS: col2hex() is the new function, not
	  col2rgb() which is part of grDevices

2007-11-02  warnes

	* [r1219] Updates for gplots 2.5.0
	* [r1218] Update saved test output due to changes in how R reports
	  warnings
	* [r1217] Create soft links of gmodels/ChangeLog ->
	  gmodels/inst/ChangeLog, and gmodels/NEWS -> gmodels/inst/NEWS for
	  my convenience
	* [r1216] Move actual ChangeLog and NEWS files to gmodels/inst so
	  they will be copied into the installed R package area
	* [r1215] Fix code/doc mismatches
	* [r1214] Update plot.lm2 to match changes made to bandplot

2007-11-01  warnes

	* [r1213] in textplot(), convert tab characters to spaces before
	  processing to avoid problems with computing height and width of
	  text including tabs when using pdf()
	* [r1212] Minor reformatting of overplot code and docs

2007-10-22  warnes

	* [r1196] Clarify GPL version

2007-08-14  warnes

	* [r1141] Correct error in balloonplot when z contains NA values.
	* [r1140] Augment balloonplot() with control of character size and
	  color for text and label items
	* [r1139] Correct balloonplot.default to properly show specified x
	  and y axis labels when explicitly provided

2007-03-09  ggorjan

	* [r1073] use of \method in Rd markup - issues a warning with
	  _R_CHECK_RD_STYLE_=TRUE env. variable with R 2.5.0

2007-02-08  warnes

	* [r1052] Bump version number
	* [r1051] Update documentation for textplot()
	* [r1050] Add col2rgb() function to convert color names to rgb hex
	  codes
	* [r1049] Add paramaeters 'col.data', 'col.rows', and 'col.columns'
	  to
	  textplot.matrix to allow specification of the color of the matrix
	  data, rows, and columns.
	* [r1048] Add parameters to control line width and line type.

2006-11-14  ggorjan

	* [r1012] Removed executable property

2006-11-14  warnes

	* [r1010] Update output file to match (trivial) changes in the test
	  code.
	* [r1008] Update ChangeLog and NEWS files for release 2.3.2.
	* [r1007] Update version number
	* [r1006] Update version number and maintainer
	* [r1005] Correct problem with labeled correlation matrix example.
	  Thanks to Jean Vidal for reporting the error..

2006-08-02  warnes

	* [r977] Update my email address

2006-06-26  nj7w

	* [r967] Fixed a bug which displayed warnings when Rowv and Colv
	  were specified as dendrograms

2006-03-10  warnes

	* [r937] Remove code that added a local path

2006-03-09  nj7w

	* [r935] Added the correct library path where gplots is installed
	  locally and corresponding .save file
	* [r934] Updated the tests file
	* [r933] Removed the condition Colv != Rowv as it has already been
	  taken care of
	* [r932] Deleted rtPCR.rda from the main directory
	* [r931] Added ChangeLog

2006-03-07  nj7w

	* [r919] Updated ChangeLog and NEWS
	* [r918] Added the tests and fixed corrupted files
	* [r917] Replaced the corrupted rtPCR.rda file in data directory
	* [r916] Removed the corrputed tests directory
	* [r915] Replaced the corrupted rtPCR.rda file in data directory

2006-03-03  nj7w

	* [r914] Updated the code and man page to make sure the Rowv and
	  Colv values are properly handled

2006-03-02  warnes

	* [r908] Adjust row total placement to adjust for width of the
	  totals
	* [r907] Row totals in ballonplot were in reverse order. Fixed.

2006-02-23  nj7w

	* [r899] Add ability to scale the color key using the new 'keysize'
	  argument.
	* [r898] Add tests for heatmap.2
	* [r897] Move heatmap and ballonplot paper source materials to
	  their respective cvs modules
	* [r896] Moved balloonplot paper materials to BallonPlotPaper cvs
	  module
	* [r891] Remove heatmap paper files and move them to the
	  HeatmapPaper cvs module.
	* [r888] Added figures for heatmap2 paper
	* [r887] Added the .Rda files for the heatmap2 paper
	* [r886] Added the source - (tex file) of the heatmap paper
	* [r885] Added the code for the figures of heatmap paper

2006-02-21  nj7w

	* [r884] Minor updates to heatmap.2 - fixed Rowv, Colv and
	  dendrogram behaviour. Now Rowv=NULL or FALSE both imply no
	  dendrogram computation.

2006-01-12  warnes

	* [r844] more updates
	* [r843] Add Biometrica bibliography style file
	* [r842] A little more.
	* [r841] Updates to respond to referee.

2006-01-12  nj7w

	* [r840] Added references

2005-12-13  nj7w

	* [r811] Fixed Nitin's company name
	* [r809] Updated NEWS and removed ChangeLog

2005-12-12  nj7w

	* [r802] Fixed bug in plotmeans - based on Stefano Calza's
	  suggestion

2005-12-07  nj7w

	* [r787] Updated version number
	* [r786] Added plot.lm
	* [r785] Changed the default grey colors to heat colors, if height
	  is matrix
	* [r784] Changed the default greay colors to heat colors, if height
	  is matrix

2005-12-06  nj7w

	* [r783] Fixed minor error in documentation of barplot2

2005-12-02  warnes

	* [r777] Remove .Alias calls, since .Alias is defunct.

2005-12-01  nj7w

	* [r776] Updated Greg's email address

2005-11-23  nj7w

	* [r764] Updated Figure 2 colors

2005-11-18  warnes

	* [r743] Latest version of the pdf files
	* [r742] Nitin works for the Cambrige Group, not Pfizer.
	* [r741] Minor text rewording.
	* [r740] More edits.
	* [r739] Recent changes to align row totals with the overall total
	  broke how
	  the marginal cumulative fractions were displayed. This patch
	  fixes
	  the problem.
	* [r737] - Update documentation for balloonplot to match the latest
	  code.
	  - Correct spelling of 'show.zeroes' to 'show.zeros'
	* [r736] More changes: colorpanel now allows only 2 colors to be
	  specified if
	  no 'middle' color is desired.

2005-11-17  warnes

	* [r735] Allow user to control removal of duplicate entries in
	  balloonplot.
	* [r734] Extend colorpanel to handle just two-colors in addition to
	  three.

2005-11-09  nj7w

	* [r733] Updated the pdf file
	* [r732] Updated the changes
	* [r731] Modified figure 4
	* [r730] Updated code
	* [r729] Modified figure 3
	* [r728] Modified figure 2
	* [r727] Modified figure 1

2005-11-08  nj7w

	* [r726] Updated Greg's email

2005-11-07  nj7w

	* [r725] Minor modifications to fit the code properly on pdf

2005-11-07  warnes

	* [r724] Add R code that generates plots
	* [r723] Add figures to CVS
	* [r722] Text changes

2005-11-04  warnes

	* [r721] Fix some alignment issues.
	* [r720] Remove Table.pdf since it is no longer needed
	* [r719] Nitin's Changes
	* [r718] Add figure plots
	* [r717] Fix paths

2005-10-20  nj7w

	* [r705] added the eps version of figures
	* [r704] Updated BallonPlot.pdf
	* [r703] Removed Old Figure
	* [r702] Added the new figure - for total popluation - Balloonplot
	* [r701] Modified the BallonPlot article
	* [r700] Added references

2005-10-19  arnima

	* [r697] The last example now displays the correct heat.colors.
	  Default 'palette' argument is now a single string, not a vector.
	* [r696] Default 'palette' argument is now a single string, not a
	  vector.

2005-10-14  warnes

	* [r694] Formatting fixes:
	  - Handle multiple row or column category variables
	  - Separate rows/columns of category labels by lines
	  - Fix handling of 'cumsum' plots on row/column labels
	  - Improve display of row/column sums

2005-10-13  warnes

	* [r693] Add example using Titanic data that exercises the
	  multi-factor
	  display.

2005-10-11  warnes

	* [r692] Initial changes to allow multiple x and y factor
	  variables. Yet to
	  be done: 1) remove extra 'boxes'. 2) omit duplicated values

2005-10-04  warnes

	* [r691] more minor fixes
	* [r690] fix spacing
	* [r689] Inlcude Rnews.sty
	* [r688] Some textual edits.

2005-10-03  nj7w

	* [r687] Added figures for the R-News Article

2005-09-29  nj7w

	* [r680] Updated the documentation - added the name of the person
	  who asked the question
	* [r679] Added R-news article

2005-09-12  nj7w

	* [r671] Updated Greg's email
	* [r670] Updated version of balloonplot - by Romain Francois
	  <francoisromain@free.fr>

2005-09-09  nj7w

	* [r669] Updated the version and ChangeLog
	* [r668] Changes in ballon plot based on Romain Francois
	  (francoisromain@free.fr) suggestions

2005-09-06  nj7w

	* [r666] Updated package dependencies
	* [r665] Added NEWS

2005-09-02  nj7w

	* [r655] Added ChangeLog

2005-08-31  nj7w

	* [r644] Added DESCRIPTION file
	* [r643] removed DESCRIPTION.in

2005-06-09  nj7w

	* [r625] Updating the version number, and various help files to
	  synchronize splitting of gregmisc bundle in 4 individual
	  components.
	* [r624] Changes based on Marc Schwartz's suggestions to handel 0's
	  and NA's appropriately.

2005-05-13  nj7w

	* [r621] 1) Using dQuote.ascii function in read.xls as the new
	  version of dQuote doesn't work proprly with UTF-8 locale.
	  2) Modified CrossTable.Rd usage in gmodels
	  3) Modified heatmap.2 usage in gplots.

2005-04-04  warnes

	* [r603] Explicitly reference package containing lowess.formula in
	  panel.overplot(). This should fix the error reported by Troels
	  Ring
	  <tring@gvdnet.dk>.

2005-02-26  nj7w

	* [r565] *** empty log message ***

2005-02-25  warnes

	* [r563] Integrate changes submitted by Arni Magnusson
	* [r559] Add dependency imports from 'stats' package.

2005-02-22  warnes

	* [r555] Fix problem in passing graphical parameters (xlim,etc).@

2005-02-08  warnes

	* [r541] Improve package title.
	* [r540] Ignore missing values when computing symmetric range.

2005-02-02  warnes

	* [r530] Add more extensive example.

2005-01-14  warnes

	* [r516] Code can be simplified because R now supports selecting a
	  fixed width font.

2005-01-12  warnes

	* [r515] Add dependency on R 1.9.0+ to prevent poeple from
	  installing on old
	  versions of R which don't support namespaces.

2004-11-30  warnes

	* [r495] 1. Add new parameters for controlling color key:
	  - If `symkey==TRUE', the color key will be made symmetric about
	  0.
	  - The `densadj' parameter can be used to modify the smoother
	  width
	  (see the `adjust' parameter under `help(density)') for the
	  density
	  plotted in the key.
	  
	  2. Fix handling of rowsep/colsep.
	  
	  3. Vector of length 2 giving the width (colsep) or height
	  (rowsep) the separator box
	  drawn by colsep and rowsep as a function of the width (colsep) or
	  height (rowsep) of a cell.
	  
	  4. Appropriate changes to the corresponding help page, plus some
	  minor formatting changes.

2004-11-03  warnes

	* [r474] Fix bugs in layout of cell notes. They were being plotted
	  top down
	  rather than bottom up. Further reordering of the x matrix didn't
	  also reorder the notes. Both issues should now be resolved.

2004-09-27  warneg

	* [r461] Updated to pass R CMD check.

2004-09-03  warneg

	* [r453] Provide explicit package for call to nobs.
	* [r452] Fix typos.
	* [r446] initial bundle checkin

2004-09-02  warneg

	* [r442] Initial revision

2004-07-29  warnes

	* [r426] Integrate changes from the version of plotCI maintained by
	  Martin Maechler.

2004-06-30  warnes

	* [r393] Remove commented-out code.
	* [r392] Fixed text size calculations

2004-06-28  warnes

	* [r391] - Default 2-d color set to grey as in (v2.0.0) r-devel
	  - The default (v1.9.1) barplot method now handles vectors and 1-d
	  arrays
	  (e.g., obtained by table()) the same, and uses grey instead of
	  heat color palettes in these cases. (Also fixes PR#6776.)
	  - Updated to reflect the addition of 'offset' argument in base
	  - Fix bug in stacked barplots, which would not be plotted
	  properly

2004-06-24  warnes

	* [r385] Add ability to specify color of NA cells.

2004-05-27  warnes

	* [r349] Fix spelling error.

2004-05-26  warnes

	* [r347] One more fix to get it right.
	* [r346] Use triple-colon operator ':::' to access plot.formula
	  from the graphics package.
	* [r344] Replace 'F' by 'FALSE' to pass R CMD check.

2004-05-25  warnes

	* [r338] Work around bug in R 1.9.X due to plot.formula() not
	  having the same
	  arguments as plot().
	* [r336] Add rich.colors() submitted by Arni Magnusson
	  <arnima@u.washington.edu>.
	* [r328] ??

2004-05-24  warnes

	* [r324] Modified to use invalid() to check arguments instead of
	  missing().
	  This fixes some build errors under R-1.9.0-Patched.

2004-04-22  warnes

	* [r319] Integrate changes from Lodewijk Bonebakker
	  <bonebakker@comcast.net>

2004-04-13  warnes

	* [r318] Add ability to space points along 'y' direction.

2004-04-02  warnes

	* [r313] Fixed smartlegend() positioning when x and/or y axis are
	  log-scale.

2004-03-30  warnes

	* [r311] - Fix bug in textplot() reported by Wright, Kevin
	  <kevin.d.wright@pioneer.com>.

2004-03-26  warnes

	* [r305] Update to match changes in textplot() code.
	* [r304] Remove Windows EOL characters.
	* [r302] - Remove some commented-out code.
	  - Remove cvs log tag.
	* [r300] Misc changes.

2004-02-17  warnes

	* [r290] Minor fix to ooplot documentation.
	* [r289] Integrate ooplot updates provided by Lodewijk Bonebakker
	  <bonebakker@comcast.net>

2004-02-02  warnes

	* [r287] - Add colorpanel function, which generates a smoothly
	  varying band of
	  colors over a three color range (lo, mid, high).

2004-01-21  warnes

	* [r283] - Correct arguments to halign to match code.
	* [r281] Track R 1.9.0's move of 'lowess' from the base package to
	  the (new)
	  stats package.
	* [r279] - Fix sinkplot() example by replacing 'T' with 'TRUE'.
	* [r278] - Add some more details to the ooplot() documentation. The
	  documentation is *not* complete.
	* [r277] - Mark sprint() as depreciated.
	  - Replace references to sprint with capture.output()
	  - Use match.arg for halign and valign arguments to
	  textplot.default.
	  - Fix textplot.character so that a vector of characters is
	  properly
	  displayed. Previouslt, character vectors were plotted on top of
	  each
	  other.

2004-01-19  warnes

	* [r276] New function sinkplot(), as requested on R-devel by Kevin
	  Wright
	  <kwright@eskimo.com> in
	  https://www.stat.math.ethz.ch/pipermail/r-devel/2004-January/028483.html.

2004-01-15  warnes

	* [r274] Add initial code and docs for ooplot() function submitted
	  by Lodewijk
	  Bonebakker <bonebakker@comcast.net>.

2003-12-03  warnes

	* [r253] - match function argument defaults with 'usage'
	* [r252] - Fix buglets in heatmap function
	  - Make a slight enhancement to the example code.

2003-12-02  warnes

	* [r251] Integrated some suggestions from Sean Davis
	  <sdavis2@mail.nih.gov>.
	* [r250] - Make final example use 16 colors instead of 8. This
	  looks nicer.
	* [r248] - Remove '%' character from example code to avoid errors.
	* [r247] - Add '...' parameter to call to text to allow user to
	  control size/color/etc.

2003-12-01  warnes

	* [r246] - updated to match changes to barplot() in base.
	* [r245] - Renamed rtPCR.Rda to rtPCR.rda so that R will properly
	  load the file
	  when data(rtPCR) is executed.
	* [r243] - Follow patches applied to barplot() in base.

2003-11-24  warnes

	* [r242] Fix unbalanced braces.
	* [r240] Fix errors reported by R CMD check.

2003-11-21  warnes

	* [r239] Added missing closing brace.
	* [r238] Initial addition of these files. Used in examples of
	  overplot().
	* [r236] Applied my enhancements to the heatmap() code from R
	  1.8.0, and added
	  documentation of these changes.
	* [r235] - Discovered that axis(N) does the right thing without
	  needing to be
	  given location for tick marks. This allowed simplification of the
	  code.
	  
	  - Minor other changes for distribution
	  
	  - Addition of overplot.Rd documentation.
	* [r231] - Integrated my extensions into the R 1.8.0 version of
	  heatmap.
	  - Add Rd documentation.

2003-11-19  warnes

	* [r228] Remove extranious NULL that confused R CMD check.

2003-11-18  warnes

	* [r226] - Tiny fix to remove R CMD check error.
	* [r225] - Added missing closing brace.
	* [r224] - Convert from MS-Dos to Unix line endings.
	  - Reformat to 80 columns.

2003-11-10  warnes

	* [r220] - Add files contributed by Arni Magnusson
	  <arnima@u.washington.edu>. As well as some of my own.

2003-08-19  warnes

	* [r219] - Copy of local changes.
	* [r218] - Checkin before re-integrating local changes.

2003-06-19  warnes

	* [r201] - Added enhanced heatmap function.

2003-06-09  warnes

	* [r200] - Add help text for smartlegend.
	* [r199] - New function smartlegend().

2003-04-22  warnes

	* [r191] - Fixeed warning messing caused when 'connect' is a
	  vector.
	* [r187] Update from Marc Schwartz, modified by Gregory Warnes:
	  
	  - Modified dim() checks for 'ci.l' and 'ci.u' against 'height'
	  to remove R v1.7.0 if() based error msgs for vector conditions.

2003-04-04  warnes

	* [r182] - Change occurences of 'T' to 'TRUE'
	* [r179] - Updated to match changes in textplot function:
	  - Added textplot.character
	  - Renamed arguments "col.margin" and "row.margin" to "cmar", and
	  "rmar" so that specifying "col='red'" is possible.
	  - Fixed R CMD check errors
	  - Improve comments in example
	  - Add textplot.matrix example
	* [r178] - Added textplot.character to handle character strings.
	  - Moved test for vector and matrix arguments to textplot.default.
	  - Renamed arguments "col.margin" and "row.margin" to "cmar", and
	  "rmar" so that specifying "col='red'" is possible.

2003-04-02  warnes

	* [r175] - Added textplot function and friends, as well as
	  documentation.

2003-03-08  warnes

	* [r171] - Forgot to update arglist in \usage section.
	* [r169] - Added parameters for rotation of and amount of space
	  allocated for
	  the row and column labels.

2003-03-07  warnes

	* [r168] - Minor changes to code to allow the package to be
	  provided as an
	  S-Plus chapter.
	* [r167] - Add 'NULL' as the last element of if statement that
	  defines
	  lowess.default so that when the file is sourced, S-Plus doesn't
	  display the function definition.
	* [r166] - Specify where the defualt lowess function should be
	  found.
	  - Use getFunction in S-Plus instead of 'get'

2003-01-30  warnes

	* [r159] - Added argument 'add' to allow for the addition of a
	  barplot to an
	  existing graphic. Default is FALSE

2003-01-20  warnes

	* [r156] - Updated balloonplot help page.
	* [r155] - Updated wapply.R to allow specification of evaluation
	  points when
	  method is 'width' or 'range' using the 'pts' argument.
	  - Updated wapply.Rd to add 'pts' argument
	  - Fixed typos, spelling errors, gramatical errors and lack of
	  clarity
	  in wapply.Rd help text.

2003-01-03  warnes

	* [r154] - Initial checkin of balloonplot functions and
	  documentation.
	* [r153] - Added reference to and comparison example of
	  sunflowerplot.
	  - Added code to put example plots on same plot window using
	  par(mfrow=...).

2003-01-02  warnes

	* [r150] - Changed assignment statements that used "=" to "<-" to
	  avoid syntax
	  errors in older versions of the S language.
	* [r149] - Added wrapper code so that R-specific fiddling won't be
	  executed
	  under S-Plus.
	* [r147] - Renamed first parameter to match qqnorm generic.
	* [r146] Added additional help text from Kjeitl.

2002-12-31  warnes

	* [r145] Initial checkin of qqnorm.aov function and documentation
	  submitted by
	  Kjetil Halvorsen <kjetilh@jupiter.umsanet.edu.bo>.

2002-11-04  warnes

	* [r143] Updates from Marc Schwartz:
	  
	  - Updated underlying code to be based upon the new barplot() in R
	  v1.6.1
	  - This now uses the 'axis.lty' and 'border' arguments
	  - In R v1.6.0, R Core introduced a new function called axTicks().
	  This is an R equivalent of the C code for CreateAtVector in
	  plot.c.
	  This now enables me to get the axis tick mark positions
	  consistently
	  when the 'height' related axis is either linear or log. Thus, I
	  can
	  now have consistent tick marks and can plot grid lines in either
	  situation. If 'plot.grid = TRUE' and 'grid.inc' is specified,
	  then
	  I still use pretty() to determine the tick marks and lines.
	  - This code now depends on R 1.6.0 or later.

2002-10-30  warnes

	* [r139] - Commented out plot.lm() code since recent changes in R
	  have broken it.

2002-10-11  warnes

	* [r131] - Fixed log scale errors in legend() call

2002-10-01  warnes

	* [r130] - Added examples of using 'contour' and 'filled.contour'
	  for display.

2002-09-24  warnes

	* [r121] - Changed digits=options("digits") which produces a list
	  of length 1
	  to digits=getOption("digits") which returns a vector of length
	  one.
	  The former was causing an error when passed to round().

2002-09-23  warnes

	* [r119] - Fixed syntax errors in barplot2.Rd and CrossTable.Rd
	  - Fixed incorrect translation of 'F' (distribution) to 'FALSE' in
	  glh.test.Rd
	* [r117] - Modified all files to include CVS Id and Log tags.
	* [r116] - Added CrossTable() and barplot2() code and docs
	  contributed by Marc Schwartz.
	  - Permit combinations() to be used when r>n provided
	  repeat.allowed=TRUE
	  - Bumped up version number

2002-08-01  warnes

	* [r114] - Corrected documentation mismatch for ci, ci.default.
	  
	  - Replaced all occurences of '_' for assignment with '<-'.
	  
	  - Replaced all occurences of 'T' or 'F' for 'TRUE' and 'FALSE'
	  with
	  the spelled out version.
	  
	  - Updaded version number and date.

2002-04-09  warneg

	* [r109] Checkin for version 0.5.3

2002-03-27  warneg

	* [r107] Added "..." argument to lowess.default.
	* [r106] - Added code to append "..." to the argument list of
	  lowess.default.
	  
	  - Fixed a wrong default for f in lowess.formula. Was 3, but
	  should
	  have been 2/3.

2002-03-26  warneg

	* [r104] - Changed methods to include '...' to match the generic.
	  - Updated for version 0.5.1
	* [r100] Initial checkin.

2002-03-20  warneg

	* [r94] - Changes to add compatibility with S-Plus 2000
	* [r93] - Changes to add compatibility with S-Plus 2000.
	* [r92] - Updated to work in S-Plus 2000 as well as R.

2002-03-05  warneg

	* [r88] - Replace "T" with "TRUE". Problems arrive when there is a
	  variable named "T".

2002-02-20  warneg

	* [r81] Minor changes, typo and formatting fixes.
	* [r80] - Generalized to allow specification of the multiples of
	  the standard deviation levels to be plotted (0=mean, 1=1 sd, ..).
	  - Now (invisibly) returnes computed smooths.

2002-02-16  warneg

	* [r78] Added bandplot documentation.
	* [r77] - Fixed Bug: When method=="range", the absolute range of x
	  was being
	  used to compute the relative width instead of the (correct)
	  relative
	  range.
	* [r76] - Corrected problem removing missing values: The missing
	  values of $x
	  and $y were being removed indepdendently, leaving an uneven
	  number
	  of points in the result.

2002-02-04  warneg

	* [r74] - Add na.rm parameter and make the default TRUE.
	* [r73] Initial checkin.
	* [r72] - When err="x", 'col' was being used to plot bars, rather
	  than 'barcol'.
	* [r71] - fixed typo, when err="x", lty was 'slty' causing an
	  error.

2001-12-12  warneg

	* [r54] - Quoted underscore character in my email address.
	  - Added correct keyword.
	* [r52] Added documentation for xaxt parameter.
	* [r51] Updated to explicitly list control arguments to
	  lowess.formula.
	* [r50] Initial checkin. Code copied from R source package and
	  extended.

2001-12-07  warneg

	* [r46] Fixed an problem where \code was incorrectly delimited by
	  parens
	  rather than curly brackets.
	* [r42] Initial checkin.
	* [r41] - Added cvs tags.
	* [r40] - Leave first point at center, rather than shifting by s/2
	  to the left. This looks better when there are more than 2
	  'spaced' points.

2001-12-05  warneg

	* [r33] - Added ability to use the t-distribution to compute
	  confidence
	  intervals. This is controlled using the 'use.t' parameter.
	* [r31] - Added documentation of use.t parameter.
	* [r30] - Clarified how the width of the window is computed when
	  method="nobs".
	* [r29] - Added a better default for "width" when method="nobs".
	  For this case,
	  width=max(5, length(x)/10).
	  
	  - Allow omission of x values which result in missing y values via
	  'drop.na' parameter.

2001-10-26  warneg

	* [r28] Added correct handling of 'xaxt="n"'.

2001-10-16  warneg

	* [r27] Fixed unbalanced brace.
	* [r26] Added minbar and maxbar parameters.
	* [r25] Forgot to add minbar and maxbar to usage section.
	* [r24] Added description of minbar and maxbar.
	* [r23] - Added minbar and maxbar parameters
	  - Added cvs id and log tags to header
	* [r22] Added cvs id and log tag to file header
	* [r21] Added minbar and maxbar parameters.
	* [r20] Added description of minsd parameter.
	* [r19] Added minsd parameter.

2001-09-18  warneg

	* [r18] Release 0.3.2

2001-09-01  warneg

	* [r16] Release 0.3.0

2001-08-31  warneg

	* [r15] Used wrong character in header (% instead of #). Fixed.
	* [r14] Used wrong comment character (% instead of #) in header.
	  Fixed.

2001-08-25  warneg

	* [r10] Initial checkin.
	* [r9] Added CVS header.
	* [r8] Initial Checkin

2001-05-30  warneg

	* [r2] Initial revision

